Bug 596403 (CVE-2010-1398) - CVE-2010-1398 WebKit: memory corruption flaw in handling of ordered list insertions (ZDI-CAN-686)
Summary: CVE-2010-1398 WebKit: memory corruption flaw in handling of ordered list inse...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2010-1398
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 806808
TreeView+ depends on / blocked
 
Reported: 2010-05-26 17:45 UTC by Vincent Danen
Modified: 2021-02-24 23:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 08:15:17 UTC


Attachments (Terms of Use)

Description Vincent Danen 2010-05-26 17:45:25 UTC
A memory corruption issue exists in WebKit's handling of ordered list insertions. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved handling of list insertions.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=35305
Trac: http://trac.webkit.org/changeset/55167

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue. Upstream acknowledges wushi of team509, working with TippingPoint's Zero Day Initiative as the original reporter.

Comment 3 Jan Lieskovsky 2010-06-08 16:33:20 UTC
Public via:
  [1] http://support.apple.com/kb/HT4196


Note You need to log in before you can comment on or make changes to this bug.